#ifndef _RFLEX_CONST_ATRV_H
#define _RFLEX_CONST_ATRV_H

#define RFLEX_LIN_STEP_TO_M   140682
#define RFLEX_ANG_STEP_TO_RAD 69748

/* Il nous faut definir 2 nouveaux parametres LIN_M_TO_STEP et ANG_RAD_TO_STEP */
#define RFLEX_LIN_M_TO_STEP   141920
#define RFLEX_ANG_RAD_TO_STEP 69762

#define RFLEX_SONARS_CONFIG_CONST { \
{ -0.41, 0.175, 3.1415 }, { -0.33, 0.215, 1.571 }, { -0.33, -0.215, -1.571 }, \
{ -0.41, -0.175, 3.1415 }, { 0.41, 0.07, 0 }, { 0.41, 0.115, 0.2618 }, \
{ 0.41, 0.17, 0.5236 }, { 0.33, 0.215, 1.571 }, { 0.41, -0.07, 0 }, \
{ 0.41, -0.115, -0.2628 }, { 0.41, -0.17, -0.5236}, { 0.33, -0.215, -1.571 } \
}

/* #define RFLEX_VMAX_ROBOT       0.25 */
/* #define RFLEX_WMAX_ROBOT       0.125 */
/* #define RFLEX_AMAX_LIN_ROBOT   1. */
/* #define RFLEX_AMAX_ANG_ROBOT   0.5*(6. * M_PI / 2.) */

/* pour ne tuer personne... mais quand meme!! */
#define RFLEX_VMAX_ROBOT       0.5
#define RFLEX_WMAX_ROBOT       0.5 
#define RFLEX_AMAX_LIN_ROBOT   2.
#define RFLEX_AMAX_ANG_ROBOT   2. *(6. * M_PI / 2.)

/* DO NOT CHANGE THIS VALUE */
#define RFLEX_ODO_LOG_NAME "/usr/local/robots/log/odometerDala"

/* Used in hardSim */
#define RFLEX_SONARS_COUNT 12

#endif
