/*
 * Copyright (C) 2002,2009 LAAS/CNRS
 *
 * Matthieu Herrb - Mon Apr 15 2002
 */

#ifndef _ODO_H
#define _ODO_H

/*
 * Prototypes
 */
extern STATUS rFlexInitOdo(int *bilan);
STATUS Asserv(struct reflex *reflex, int *bilan);
STATUS JoystickDrive(struct reflex *reflex, int *bilan);

#ifdef RFLEX_SIMUL
extern struct reflexSimul *reflexSimulGet();
#endif

/*
 * Conversion macros
 */
#define M_TO_STEP(x) ((int)((x)*SDI_F->geomParams.linMToStep))
#define STEP_TO_M(x) ((double)(x)/SDI_F->geomParams.linStepToM)

#define RAD_TO_STEP(x) ((int)((x)*SDI_F->geomParams.angRadToStep))
#define STEP_TO_RAD(x) ((double)(x)/SDI_F->geomParams.angStepToRad)

#define SONAR_TO_M(x) ((double)(x)*SDI_F->geomParams.sonarScale \
		       + SDI_F->geomParams.sonarOffset)

#endif
